Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154234 - system-config-display overwrites wrnog SubSection "Display"
Summary: system-config-display overwrites wrnog SubSection "Display"
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 17:03 UTC by Lamont Peterson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 18:06:18 UTC


Attachments (Terms of Use)

Description Lamont Peterson 2005-04-08 17:03:12 UTC
Description of problem:  
If the /etc/X11/xorg.conf file has more than one SubSection "Display" and you 
use system-config-display to change the selected resolution, 
system-config-display will overwrite the first SubSection "Display" even if 
that is not the one with the right depth. 
 
Version-Release number of selected component (if applicable):  
system-config-display-1.0.24-1 
 
How reproducible:  
Create at least two SubSection "Display" sections, with different depths.   
 
Steps to Reproduce:  
1. Create at least two "Display" SubSections with different depths 
2. Run system-config-display, change the resolution making sure that the 
selected color depth does *not* match the color depth of the first listed 
"Display" SubSection. 
3. Look at the resulting /etc/X11/xorg.conf file. 
 
Actual results:  
The wrong SubSection is modified. 
 
Expected results:  
The correct SubSection is modified, or all are modified, but the depths are 
left alone.

Comment 1 Matthew Miller 2006-07-10 23:23:40 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Adam Jackson 2007-04-03 18:06:18 UTC
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.